-- Functional --
-- Levers --
defineObject{
	name = "gen_wall_lever",
	components = {
		{
			class = "Model",
			model = "mod_assets/vanblam/general/models/env/gen_wall_lever.fbx",
			staticShadow = true,
		},
		{
			class = "Animation",
			animations = {
				activate = "mod_assets/vanblam/general/animations/gen_wall_lever_down.fbx",
				deactivate = "mod_assets/vanblam/general/animations/gen_wall_lever_up.fbx",
			}
		},
		{
			class = "Clickable",
			offset = vec(0,1.50,0.5),
			size = vec(0.15, 0.9, 0.4),
			maxDistance = 0,
			--debugDraw = true,
		},
		{
			class = "Lever",
			sound = "gen_wall_lever_action",
		},
	},
	placement = "wall",
	editorIcon = 12,
	tags = {"vanblam" },
}