defineParticleSystem{
	name = "gen_fire02",
	emitters = {
		-- smoke
		{
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.03, -0.1, -0.03},
			boxMax = { 0.03, -0.1,  0.03},
			sprayAngle = {0,10},
			velocity = {0.8,1.2},
			texture = "mod_assets/vanblam/general/textures/particles/gen_smoke01_dif.tga",
			frameRate = 12,
			frameSize = 128,
			frameCount = 64,
			lifetime = {3,3},
			color0 = {0.15, 0.15, 0.15},
			opacity = 0.05,
			fadeIn = 0.8,
			fadeOut = 1,
			size = {1, 2},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 0.6,
			blendMode = "Translucent",
		},

		-- flames
		{
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.1, -0.1, 0.1},
			boxMax = { 0.1, 0.1,  -0.1},
			sprayAngle = {-10,10},
			velocity = {0.2, 0.5},
			texture = "mod_assets/vanblam/general/textures/particles/gen_fire03_dif.tga",
			frameRate = 35,
			frameSize = 128,
			frameCount = 64,
			lifetime = {0.25, 0.85},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.15,
			fadeOut = 0.3,
			size = {0.15, 0.35},
			gravity = {0,0,0},
			airResistance = 1.0,
			rotationSpeed = 1,
			blendMode = "Additive",
			depthBias = 0.1,
		},

		-- glow
		{
			spawnBurst = true,
			emissionRate = 1,
			emissionTime = 0,
			maxParticles = 1,
			boxMin = {0,-0.2,0},
			boxMax = {0,-0.2,0},
			sprayAngle = {0,0},
			velocity = {0.2,0.2},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {1000000, 1000000},
			colorAnimation = false,
			color0 = {1, 0.5, 0.1},
			opacity = 0.1,
			fadeIn = 0.1,
			fadeOut = 0.1,
			size = {0.6, 0.6},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Additive",
			depthBias = 0.6,
		}
	}
}
