defineObject{
	name = "rc_crystal_key_blue",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "mod_assets/vanblam/red_cave/models/items/rc_crystal_key_01.fbx",
		},
		{
			class = "Item",
			uiName = "Arcane Crystal Key",
			gfxAtlas = "mod_assets/vanblam/red_cave/textures/gui/rc_icons_grid_01.tga",
			gfxIndex = 0,
			weight = 2.0,
			traits = { "crystal_key" },
		},
		-- {
			-- class = "Particle",
			-- particleSystem = "glitter_gold",
		-- },
	},
	tags = { "red cave", "vanblam" },
}

defineObject{
	name = "rc_crystal_key_red",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "mod_assets/vanblam/red_cave/models/items/rc_crystal_key_01.fbx",
			materialOverrides = {["rc_crystal_key_blue"] = "rc_crystal_key_red"},
		},
		{
			class = "Item",
			uiName = "Blood Crystal Key",
			gfxAtlas = "mod_assets/vanblam/red_cave/textures/gui/rc_icons_grid_01.tga",
			gfxIndex = 1,
			weight = 2.0,
			traits = { "crystal_key" },
		},
		
		-- {
			-- class = "Particle",
			-- particleSystem = "glitter_gold",
		-- },
	},
	tags = { "red cave", "vanblam" },
}

defineObject{
	name = "rc_crystal_key_green",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "mod_assets/vanblam/red_cave/models/items/rc_crystal_key_01.fbx",
			materialOverrides = {["rc_crystal_key_blue"] = "rc_crystal_key_green"},
		},
		{
			class = "Item",
			uiName = "Orge Crystal Key",
			gfxAtlas = "mod_assets/vanblam/red_cave/textures/gui/rc_icons_grid_01.tga",
			gfxIndex = 2,
			weight = 2.0,
			traits = { "crystal_key" },
		},
		
		-- {
			-- class = "Particle",
			-- particleSystem = "glitter_gold",
		-- },
	},
	tags = { "red cave", "vanblam" },
}

defineObject{
	name = "rc_crystal_key_yellow",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "mod_assets/vanblam/red_cave/models/items/rc_crystal_key_01.fbx",
			materialOverrides = {["rc_crystal_key_blue"] = "rc_crystal_key_yellow"},
		},
		{
			class = "Item",
			uiName = "Solar Crystal Key",
			gfxAtlas = "mod_assets/vanblam/red_cave/textures/gui/rc_icons_grid_01.tga",
			gfxIndex = 3,
			weight = 2.0,
			traits = { "crystal_key" },
		},
		
		-- {
			-- class = "Particle",
			-- particleSystem = "glitter_gold",
		-- },
	},
	tags = { "red cave", "vanblam" },
}

defineObject{
	name = "rc_crystal_key_purple",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "mod_assets/vanblam/red_cave/models/items/rc_crystal_key_01.fbx",
			materialOverrides = {["rc_crystal_key_blue"] = "rc_crystal_key_purple"},
		},
		{
			class = "Item",
			uiName = "Shadow Crystal Key",
			gfxAtlas = "mod_assets/vanblam/red_cave/textures/gui/rc_icons_grid_01.tga",
			gfxIndex = 4,
			weight = 2.0,
			traits = { "crystal_key" },
		},
		
		-- {
			-- class = "Particle",
			-- particleSystem = "glitter_gold",
		-- },
	},
	tags = { "red cave", "vanblam" },
}

defineObject{
	name = "rc_crystal_key_black",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "mod_assets/vanblam/red_cave/models/items/rc_crystal_key_01.fbx",
			materialOverrides = {["rc_crystal_key_blue"] = "rc_crystal_key_black"},
		},
		{
			class = "Item",
			uiName = "Vile Crystal Key",
			gfxAtlas = "mod_assets/vanblam/red_cave/textures/gui/rc_icons_grid_01.tga",
			gfxIndex = 5,
			weight = 2.0,
			traits = { "crystal_key" },
		},
		
		-- {
			-- class = "Particle",
			-- particleSystem = "glitter_gold",
		-- },
	},
	tags = { "red cave", "vanblam"},
}

defineObject{
	name = "rc_crystal_key_white",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "mod_assets/vanblam/red_cave/models/items/rc_crystal_key_01.fbx",
			materialOverrides = {["rc_crystal_key_blue"] = "rc_crystal_key_white"},
		},
		{
			class = "Item",
			uiName = "Holy Crystal Key",
			gfxAtlas = "mod_assets/vanblam/red_cave/textures/gui/rc_icons_grid_01.tga",
			gfxIndex = 6,
			weight = 2.0,
			traits = { "crystal_key" },
		},
		
		-- {
			-- class = "Particle",
			-- particleSystem = "glitter_gold",
		-- },
	},
	tags = { "red cave", "vanblam"},
}

defineObject{
	name = "rc_old_key_01",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "mod_assets/vanblam/red_cave/models/items/rc_old_key_01.fbx",
		},
		{
			class = "Item",
			uiName = "Aged Key",
			gfxAtlas = "mod_assets/vanblam/red_cave/textures/gui/rc_icons_grid_01.tga",
			gfxIndex = 7,
			weight = 2.0,
			traits = { "crystal_key" },
		},
		
		{
			class = "Particle",
			particleSystem = "glitter_gold",
		},
	},
	tags = {"red cave", "vanblam"},
}

defineObject{
	name = "rc_old_key_02",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "mod_assets/vanblam/red_cave/models/items/rc_old_key_02.fbx",
		},
		{
			class = "Item",
			uiName = "Rigid Key",
			gfxAtlas = "mod_assets/vanblam/red_cave/textures/gui/rc_icons_grid_01.tga",
			gfxIndex = 8,
			weight = 2.0,
			traits = { "crystal_key" },
		},
		
		{
			class = "Particle",
			particleSystem = "glitter_gold",
		},
	},
	tags = {"red cave", "vanblam"},
}

defineObject{
	name = "rc_old_key_03",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "mod_assets/vanblam/red_cave/models/items/rc_old_key_03.fbx",
		},
		{
			class = "Item",
			uiName = "Fair Key",
			gfxAtlas = "mod_assets/vanblam/red_cave/textures/gui/rc_icons_grid_01.tga",
			gfxIndex = 9,
			weight = 2.0,
			traits = { "crystal_key" },
		},
		
		{
			class = "Particle",
			particleSystem = "glitter_gold",
		},
	},
	tags = {"red cave", "vanblam"},
}

defineObject{
	name = "rc_crystal_shard",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "mod_assets/vanblam/red_cave/models/items/rc_crystal_shard.fbx",
		},
		{
			class = "Item",
			uiName = "Crystal Shard",
			gfxAtlas = "mod_assets/vanblam/red_cave/textures/gui/rc_icons_grid_01.tga",
			gfxIndex = 10,
			weight = 2.0,
			traits = { "material" },
		},
		
		{
			class = "Particle",
			particleSystem = "rc_crystal_small",
			emitterMesh = "mod_assets/vanblam/red_cave/models/items/rc_crystal_shard.fbx",
		},
	},
	tags = { "red cave", "vanblam"},
}