defineParticleSystem{
	name = "rc_crystal_small",
	emitters = {
		-- glow
		{
			spawnBurst = true,
			emitterShape = "MeshShape",
			maxParticles = 10,
			boxMin = {-0.1, -0.1,-0.1},
			boxMax = { 0.1, 0.1, 0.1},
			sprayAngle = {0,30},
			velocity = {0,0},
			texture = "mod_assets/vanblam/general/textures/particles/gen_shattered_glow.tga",
			lifetime = {999999, 999999},
			colorAnimation = false,
			color0 = {0.98, 0.05, 0},
			opacity = 0.05,
			fadeIn = 0.1,
			fadeOut = 0.1,
			size = {0.75, 1},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0.2,
			blendMode = "Additive",
			depthBias = 0.1,
		},
		{
			emitterShape = "MeshShape",
			emissionRate = 20,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-1.5,-0.5,-0.15},
			boxMax = { 1.5, 2.5, 0.0},
			sprayAngle = {0,360},
			velocity = {0.05, 0.25},
			velocity = {0, 0},
			objectSpace = true,
			texture = "mod_assets/vanblam/general/textures/particles/gen_sparkle_02_dif.tga",
			lifetime = {0.5,1},
			color0 = {1,0.75,0.7},
			opacity = 0.1,
			fadeIn = 0.3,
			fadeOut = 0.3,
			size = {0.3, 0.05},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 1.5,
			blendMode = "Additive",
			depthBias = 0.2,
		},
		{
			emitterShape = "MeshShape",
			emissionRate = 2,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-1.5,-0.5,-0.15},
			boxMax = { 1.5, 2.5, 0.0},
			sprayAngle = {0,360},
			velocity = {0.1,0.3},
			objectSpace = true,
			texture = "mod_assets/vanblam/red_cave/textures/particles/rc_shard_dif.tga",
			lifetime = {1,3},
			color0 = {1, 0.61, 0},
			opacity = 0.3,
			fadeIn = 0.3,
			fadeOut = 0.3,
			size = {0.03, 0.06},
			gravity = {0,-0.5,0},
			airResistance = 0.8,
			rotationSpeed = 1.5,
			blendMode = "Additive",
			depthBias = 0.2,
		},

	}
}
