------- MAIN STYLES ----------

defineTile{
	name = "red_cave_floor",
	editorIcon = 192,
	color = {142,105,105,255},
	builder = "dungeon",
	randomFloorFacing = true,
	floor = {
		"rc_ground_01", 1,
	},
	ceiling = {
		"rc_ceiling_01a", 5,
		"rc_ceiling_01b", 5,
		"rc_ceiling_01c", 5,
		"rc_ceiling_01d", 5,
		"rc_ceiling_01e", 5,
	},
	wall = {
		"rc_elevation_edge_01", 1,
		"rc_elevation_edge_02", 1,
	},
}

defineTile{
	name = "red_cave_floor_ceiling2",
	editorIcon = 192,
	color = {122,75,75,255},
	builder = "dungeon",
	randomFloorFacing = true,
	floor = {
		"rc_ground_02", 1,
	},
	ceiling = {
		"rc_ceiling_02", 5,
	},
	wall = {
		"rc_elevation_edge_01", 1,
		"rc_elevation_edge_02", 1,
	},
}

defineTile{
	name = "red_cave_lava",
	editorIcon = 192,
	color = {249,55,2,255},
	builder = "dungeon",
	randomFloorFacing = true,
	floor = {
		"rc_molten_floor_01", 1,
	},
	ceiling = {
		"rc_ceiling_01a", 5,
		"rc_ceiling_01b", 5,
		"rc_ceiling_01c", 5,
		"rc_ceiling_01d", 5,
		"rc_ceiling_01e", 5,
	},
	wall = {
		"rc_molten_edge_01", 1,
		"rc_molten_edge_02", 1,
	},
	underwater = true,
	automapTile = "water",
}

defineTile{
	name = "red_cave_lava_void",
	editorIcon = 192,
	color = {60,10,1,255},
	builder = "dungeon",
	floor = {
		"rc_molten_floor_01_void", 1,
	},
	underwater = true,
	automapTile = "water",
}

defineTile{
	name = "red_cave_floor_outside",
	editorIcon = 192,
	color = {142,122,105,255},
	builder = "dungeon",
	randomFloorFacing = true,
	floor = {
		"rc_ground_02", 1,
	},
	wall = {
		"rc_elevation_edge_01", 1,
		"rc_elevation_edge_02", 1,
	},
}

defineTile{
	name = "red_cave_wall",
	editorIcon = 196,
	color = {102,65,65,255},
	solid = true,
	builder = "mine",
	randomFloorFacing = true,
	floor = {
		"rc_ground_01", 1,
	},
	centerPillar = {
		"rc_pillar_01a", 1,
		"rc_pillar_01b", 1,
		"rc_pillar_02a", 1,
	},
	wall = {
		"rc_wall", 1,
	},
	automapTile = "rocky_wall",
}

defineTile{
	name = "red_cave_wall_outside",
	editorIcon = 196,
	color = {102,77,65,255},
	solid = true,
	builder = "mine",
	randomFloorFacing = true,
	floor = {
		"rc_ground_01", 1,
	},
	centerPillar = {
		"rc_pillar_02a", 1,
	},
	wall = {
		"rc_wall_02a", 5,
		"rc_wall_02b", 5,
	},
	automapTile = "rocky_wall",
}

------- OTHER STYLES ----------

defineTile{
	name = "red_cave_wall_co", -- Cave only, no structural walls or pillars --
	editorIcon = 196,
	color = {74,46,46,255},
	solid = true,
	builder = "mine",
	randomFloorFacing = true,
	floor = {
		"rc_ground_01", 1,
	},
	centerPillar = {
		"rc_pillar_01a", 1,
		"rc_pillar_01b", 1,
	},
	wall = {
		"rc_wall_cave", 1,
	},
	automapTile = "rocky_wall",
}

defineTile{
	name = "red_cave_wall_stone", -- Stone structural walls, ceiling & pillars only --
	editorIcon = 196,
	color = {122,85,85,255},
	solid = true,
	builder = "mine",
	randomFloorFacing = true,
	floor = {
		"rc_ground_02", 1,
	},
	centerPillar = {
		"rc_pillar_02a", 1,
	},
	wall = {
		"rc_wall_stone", 1,
	},
	automapTile = "rocky_wall",
}

defineTile{
	name = "red_cave_wall_stone_rock", -- Stone structural walls,& pillars with rock ceiling only --
	editorIcon = 196,
	color = {142,85,85,255},
	solid = true,
	builder = "mine",
	randomFloorFacing = true,
	floor = {
		"rc_ground_01", 1,
	},
	centerPillar = {
		"rc_pillar_02a", 1,
	},
	wall = {
		"rc_wall_stone_rock", 1,
	},
	automapTile = "rocky_wall",
}
